# OAR 2.6 documentation

## oaradmissionrules

This command is used to add, edit or remove the admission rules.

The admission rules are a piece of Perl code that is executed in the oarsub command just before to submit the job to the system.

Options are:

    -S, --show-all
      -Y, --enabled              show enabled admission rules only
      -N, --disabled             show disabled admission rules only

    -S, --show-all
    -s, --show [rule-id]
      -I, --id                   show #rule-id only
      -f, --full                 show full script
      -H, --no-header            show script only
      -w, --to-file [filename]   write script to file (%% replaced by #rule-id)

    -n, --new
    -m, --modify <rule-id>
      -e, --edit [cmd]           edit script using editor or cmd if provided
      -r, --from-file <filename> read script from file instead of running editor
      -P, --priority <priority>  set priority for rule
      -Y, --enabled              enable admission rule
      -N, --disabled             disable admission rule

    -d, --delete <rule-id>
      no option